# Get repository summary

Endpoint: GET /code/api/v1/repos/{repo_identifier}/summary
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

## Path parameters:

  - `repo_identifier` (string, required)

## Response 200 fields (application/json):

  - `branch_count` (integer)

  - `default_branch_commit_count` (integer)

  - `pull_req_summary` (object)

  - `pull_req_summary.closed_count` (integer)

  - `pull_req_summary.merged_count` (integer)

  - `pull_req_summary.open_count` (integer)

  - `tag_count` (integer)

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)


